I2O_BLOCK_TRANSFER(9)

NAME
i2o_block_transfer - Transfer a request to/from the I2O controller

SYNOPSIS

int i2o_block_transfer(struct request * req);

ARGUMENTS

req
    the request which should be transferred

DESCRIPTION

This function converts the request into a I2O message. The necessary DMA buffers are allocated and after everything is setup post the message to the I2O controller. No cleanup is done by this function. It is done on the interrupt side when the reply arrives.

Return 0 on success or negative error code on failure.

COPYRIGHT